## python-numpysane 0.17

=== Makefile ===
all: README README.org

# a multiple-target pattern rule means that a single invocation of the command
# builds all the targets, which is what I want here
%EADME %EADME.org: numpysane.py README.footer.org extract_README.py
	python extract_README.py numpysane

test:  test2  test3
check: check2 check3
check2: test2
check3: test3
test2 test3:
	python$(patsubst test%,%,$@) test_numpysane.py
.PHONY: check check2 check3 test test2 test3

# make distribution tarball
dist:
	python setup.py sdist
.PHONY: dist

# make and upload the distribution tarball
dist_upload:
	python setup.py sdist upload
.PHONY: dist_upload

clean:
	rm -f README.org README
.PHONY: clean

## python-numpysane 0.15

=== debian/changelog ===
python-numpysane (0.15-1) unstable; urgency=medium

  * Initial release. (Closes: #893146)

 -- Dima Kogan <dkogan@debian.org>  Mon, 13 Aug 2018 23:33:58 -0700

=== debian/control ===
Source: python-numpysane
Section: python
Priority: optional
Build-Depends: debhelper (>= 11), dh-python,
               python-all,  python-setuptools,  python-numpy,
               python3-all, python3-setuptools, python3-numpy
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.2.0
Homepage: https://github.com/dkogan/numpysane
Vcs-Git: https://salsa.debian.org/python-team/modules/python-numpysane.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-numpysane
X-Python-Version: >= 2.6

Package: python-numpysane
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: more-reasonable core functionality for numpy
 numpysane is a collection of core routines to provide basic numpy functionality
 in a more reasonable way. This package provides the Python2 module.

Package: python3-numpysane
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: more-reasonable core functionality for numpy
 numpysane is a collection of core routines to provide basic numpy functionality
 in a more reasonable way. This package provides the Python3 module.

## python-numpysane 0.17

=== debian/changelog ===
python-numpysane (0.17-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/copyright: Use https protocol in Format field

  [ Dima Kogan ]
  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Tue, 22 Jan 2019 15:12:39 -0800

python-numpysane (0.16-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Mon, 08 Oct 2018 12:20:16 -0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Homepage: https://github.com/dkogan/numpysane
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-numpysane.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-numpysane
-X-Python-Version: >= 2.6
 
 Package: python-numpysane
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=numpysane
export PYBUILD_DISABLE_python3.4=1
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_numpy
	dh_numpy3

override_dh_auto_build:
	make README
	dh_auto_build

override_dh_auto_clean:
	rm -rf README
	dh_auto_clean

## python-numpysane 0.21

=== Makefile ===
all: README README.org

# a multiple-target pattern rule means that a single invocation of the command
# builds all the targets, which is what I want here
%EADME %EADME.org: numpysane.py README.footer.org extract_README.py
	python3 extract_README.py numpysane

test:  test2  test3
check: check2 check3
check2: test2
check3: test3
test2 test3:
	python$(patsubst test%,%,$@) test_numpysane.py
.PHONY: check check2 check3 test test2 test3

# make distribution tarball
dist:
	python3 setup.py sdist
.PHONY: dist

# make and upload the distribution tarball
dist_upload:
	python3 setup.py sdist upload
.PHONY: dist_upload

EXTRA_CLEAN += README.org README

=== pywrap-sample/Makefile ===
PYTHON_VERSION_FOR_EXTENSIONS := 3

# Minimal part of https://github.com/dkogan/mrbuild to provide python Makefile
# rules
include Makefile.common.header

# I build a python extension module called "testlibmodule" from the C library
# (testlib) and from the numpysane_pywrap wrapper. The wrapper is generated with
# a demo script genpywrap.py
all: testlibmodule$(PY_EXT_SUFFIX)
testlibmodule$(PY_EXT_SUFFIX): testlib_pywrap_GENERATED.o testlib.o
	$(PY_MRBUILD_LINKER) $(PY_MRBUILD_LDFLAGS) $^ -o $@
testlib_pywrap_GENERATED.o: CFLAGS += $(PY_MRBUILD_CFLAGS)

CC ?= gcc
%.o:%.c
	$(CC) -Wall -Wextra $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

testlib_pywrap_GENERATED.c: genpywrap.py
	./$< > $@


# In the python api I have to cast a PyCFunctionWithKeywords to a PyCFunction,
# and the compiler complains. But that's how Python does it! So I tell the
# compiler to chill
testlib_pywrap_GENERATED.o: CFLAGS += -Wno-cast-function-type

CFLAGS += -Wno-missing-field-initializers

clean:
	rm -rf *.[do] *.so *.so.* testlib_pywrap_GENERATED.c
.PHONY: clean

# keep intermediate files
.SECONDARY:

=== debian/changelog ===
python-numpysane (0.21-1) unstable; urgency=medium

  * Distribution works again

 -- Dima Kogan <dkogan@debian.org>  Sat, 30 Nov 2019 22:25:43 -0800

python-numpysane (0.20-1) unstable; urgency=medium

  * New upstream release
    - Initial support for C-level broadcasting
    - Added mag() convenience function. mag(x) = sqrt(norm2(x))
    - nps.matmult(..., out=out) produces in-place results when one of the
      arguments is 1D

 -- Dima Kogan <dkogan@debian.org>  Sat, 30 Nov 2019 17:57:57 -0800

python-numpysane (0.17-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Team upload.
  * Drop python2 support; Closes: #937961
  * Bump Standards-Version to 4.4.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Oct 2019 23:37:14 -0400

=== debian/control ===
Source: python-numpysane
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11), dh-python,
               python3-all, python3-setuptools, python3-numpy
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.4.1
Homepage: https://github.com/dkogan/numpysane
Vcs-Git: https://salsa.debian.org/python-team/modules/python-numpysane.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-numpysane

Package: python3-numpysane
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, libpython3-dev
Provides: ${python3:Provides}
Description: more-reasonable core functionality for numpy
 numpysane is a collection of core routines to provide basic numpy functionality
 in a more reasonable way. This package provides the Python3 module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=numpysane
export PYBUILD_DISABLE_python3.4=1
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_auto_build:
	make README
	dh_auto_build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make test3
endif

override_dh_auto_clean:
	rm -rf README
	dh_auto_clean

## python-numpysane 0.24

=== Makefile ===
########## For the test suite. To build the extension module for testing the
########## broadcasting-in-C
# Minimal part of https://github.com/dkogan/mrbuild to provide python Makefile
# rules
#
# I support both python2 and python3, but only one at a time
PYTHON_VERSION_FOR_EXTENSIONS := 3
include Makefile.common.header

# I build a python extension module called "testlib" from the C library
# (testlib) and from the numpysane_pywrap wrapper. The wrapper is generated with
# genpywrap.py
test/testlib$(PY_EXT_SUFFIX): test/testlib_pywrap_GENERATED.o test/testlib.o
	$(PY_MRBUILD_LINKER) $(PY_MRBUILD_LDFLAGS) $^ -o $@
test/testlib_pywrap_GENERATED.o: CFLAGS += $(PY_MRBUILD_CFLAGS)

CC ?= gcc
CFLAGS += -g
%.o:%.c
	$(CC) -Wall -Wextra $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

test/testlib_pywrap_GENERATED.c: test/genpywrap.py numpysane_pywrap.py $(wildcard pywrap-templates/*.c)
	./$< > $@

# In the python api I have to cast a PyCFunctionWithKeywords to a PyCFunction,
# and the compiler complains. But that's how Python does it! So I tell the
# compiler to chill
test/testlib_pywrap_GENERATED.o: CFLAGS += -Wno-cast-function-type
test/testlib_pywrap_GENERATED.o: test/testlib.h

CFLAGS += -Wno-missing-field-initializers

clean:
	rm -rf test/*.[do] test/*.o test/*.so test/*.so.* test/testlib_pywrap_GENERATED.c README.org README
.PHONY: clean


####### Everything non-extension-module related
.DEFAULT_GOAL := all
all: README README.org README-pywrap README-pywrap.org

# a multiple-target pattern rule means that a single invocation of the command
# builds all the targets, which is what I want here
%EADME %EADME.org: numpysane.py README.footer.org extract_README.py
	python3 extract_README.py numpysane README.org README README.footer.org
%EADME-pywrap %EADME-pywrap.org: numpysane_pywrap.py README.footer.org extract_README.py
	python3 extract_README.py numpysane_pywrap README-pywrap.org README-pywrap README.footer.org

test:  test2  test3
check: check2 check3
check2: test2
check3: test3
test2 test3: test/test-numpysane.py test-c-broadcasting
	python$(patsubst test%,%,$@) test/test-numpysane.py
test-c-broadcasting: test/testlib$(PY_EXT_SUFFIX)
	python${PYTHON_VERSION_FOR_EXTENSIONS} test/test-c-broadcasting.py

.PHONY: check check2 check3 test test2 test3 test-c-broadcasting

# make distribution tarball
dist: README
	python3 setup.py sdist
.PHONY: dist

# make and upload the distribution tarball
dist_upload:
	python3 setup.py sdist upload
.PHONY: dist_upload

=== debian/changelog ===
python-numpysane (0.24-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Fri, 19 Jun 2020 10:58:42 -0700

python-numpysane (0.23-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Fri, 12 Jun 2020 19:26:21 -0700

python-numpysane (0.22-1) unstable; urgency=medium

  * New upstream release
    - broadcast_define() and the generated function checks its arguments
      for validity more thoroughly
    - outer() doesn't require identically-dimensioned input
    - mass rewrite of the documentation
    - Added C-level broadcasting
  * License update: any version of the LGPL instead of LGPL-3+

  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Dima Kogan <dkogan@debian.org>  Sun, 15 Mar 2020 00:30:57 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-numpysane
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11), dh-python,
-               python3-all, python3-setuptools, python3-numpy
+Build-Depends: debhelper-compat (= 12), dh-python,
+               python3-all, python3-setuptools, python3-numpy, libpython3-dev
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.4.1

## python-numpysane 0.31

=== debian/changelog ===
python-numpysane (0.31-1) unstable; urgency=medium

  * New upstream release
    - broadcast_define(): better out_kwarg logic

 -- Dima Kogan <dkogan@debian.org>  Wed, 03 Feb 2021 12:54:04 -0800

python-numpysane (0.30-1) unstable; urgency=medium

  * New upstream release
    - numpysane.mag() can take a dtype keyword argument
    - mag(), inner(), norm2() now use the given dtype for all their
      computations, so selecting an appropriate dtype can prevent
      overflows

 -- Dima Kogan <dkogan@debian.org>  Mon, 01 Feb 2021 15:34:15 -0800

python-numpysane (0.29-1) unstable; urgency=medium

  [ Dima Kogan ]
  * New upstream release
    - numpysane_pywrap: module docstrings can span multiple lines

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Dima Kogan <dkogan@debian.org>  Tue, 17 Nov 2020 12:12:18 -0800

python-numpysane (0.28-1) unstable; urgency=medium

  * New upstream release
    - I can once again accumulate arrays from np.array(())

 -- Dima Kogan <dkogan@debian.org>  Wed, 23 Sep 2020 13:09:04 -0700

python-numpysane (0.27-1) unstable; urgency=medium

  * New upstream release
    - numpysane_pywrap item__...() macro works with non-trivial arguments

 -- Dima Kogan <dkogan@debian.org>  Mon, 21 Sep 2020 14:10:56 -0700

python-numpysane (0.26-1) unstable; urgency=medium

  * New upstream release
    - glue() and cat() handles size-0 arrays better
    - numpysane_pywrap: size-0 arrays are always deemed contiguous

 -- Dima Kogan <dkogan@debian.org>  Sat, 19 Sep 2020 20:15:50 -0700

python-numpysane (0.25-1) unstable; urgency=medium

  * New upstream release
    - nps.dummy() supports multiple axes given at once. So I can do
      something like   nps.dummy(x, -2, -2)
    - numpysane_pywrap: generated code can use ctype__NAME and item__NAME
      to simplify handling of non-contiguous data

 -- Dima Kogan <dkogan@debian.org>  Sat, 05 Sep 2020 13:56:52 -0700

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12), dh-python,
                python3-all, python3-setuptools, python3-numpy, libpython3-dev
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.4.1
 Homepage: https://github.com/dkogan/numpysane
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-numpysane.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-numpysane
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-numpysane.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-numpysane
 
 Package: python3-numpysane
 Architecture: all

## python-numpysane 0.34

=== debian/changelog ===
python-numpysane (0.34-1) unstable; urgency=medium

  * New upstream release
    - glue(np.array(()), x) and glue(x, np.array(())) both work

 -- Dima Kogan <dkogan@debian.org>  Fri, 28 May 2021 11:48:57 -0700

python-numpysane (0.33-1) unstable; urgency=medium

  * New upstream release
    - matmult() supports in-place output via the "out" keyword argument

 -- Dima Kogan <dkogan@debian.org>  Thu, 15 Apr 2021 18:18:18 -0700

python-numpysane (0.32-1) unstable; urgency=medium

  * New upstream release
    - Minor corner-case fix to glue()

 -- Dima Kogan <dkogan@debian.org>  Thu, 25 Mar 2021 20:37:33 -0700

## python-numpysane 0.35

=== Makefile ===
--- 
+++ 
@@ -57,14 +57,22 @@
 
 .PHONY: check check2 check3 test test2 test3 test-c-broadcasting
 
+DIST_VERSION := $(or $(shell < numpysane.py perl -ne "if(/__version__ = '(.*)'/) { print \$$1; exit}"), $(error "Couldn't parse the distribution version"))
+
+DIST := dist/numpysane-$(DIST_VERSION).tar.gz
+$(DIST): README
+
 # make distribution tarball
-dist: README
+$(DIST):
 	python3 setup.py sdist
+.PHONY: $(DIST) # rebuild it unconditionally
+
+dist: $(DIST)
 .PHONY: dist
 
 # make and upload the distribution tarball
-dist_upload:
-	python3 setup.py sdist upload
+dist_upload: $(DIST)
+	twine upload --verbose $(DIST)
 .PHONY: dist_upload

=== debian/changelog ===
python-numpysane (0.35-2) unstable; urgency=medium

  * Tests pass on i386

 -- Dima Kogan <dkogan@debian.org>  Sun, 02 Jan 2022 23:46:42 -0800

python-numpysane (0.35-1) unstable; urgency=medium

  * New upstream release
    - added broadcast_extra_dims()

 -- Dima Kogan <dkogan@debian.org>  Wed, 14 Jul 2021 02:43:20 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-numpysane
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
                python3-all, python3-setuptools, python3-numpy, libpython3-dev
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/dkogan/numpysane
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-numpysane.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-numpysane

=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,12 @@
 	dh_numpy3
 
 override_dh_auto_build:
-	make README
+	make README README-pywrap
 	dh_auto_build
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make test3
-endif
 
 override_dh_auto_clean:
-	rm -rf README
+	rm -rf README README-pywrap
 	dh_auto_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/dkogan/numpysane/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## python-numpysane 0.36

=== Makefile ===
--- 
+++ 
@@ -46,8 +46,8 @@
 %EADME-pywrap %EADME-pywrap.org: numpysane_pywrap.py README.footer.org extract_README.py
 	python3 extract_README.py numpysane_pywrap README-pywrap.org README-pywrap README.footer.org
 
-test:  test2  test3
-check: check2 check3
+test:  test3
+check: check3
 check2: test2
 check3: test3
 test2 test3: test/test-numpysane.py test-c-broadcasting

=== debian/changelog ===
python-numpysane (0.36-1) unstable; urgency=medium

  * New upstream release
  * python3-numpysane is Multi-Arch:foreign

 -- Dima Kogan <dkogan@debian.org>  Sat, 14 Jan 2023 16:02:24 -0800

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,9 @@
 	dh_auto_build
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make test3
+endif
 
 override_dh_auto_clean:
 	rm -rf README README-pywrap

## python-numpysane 0.39

=== debian/changelog ===
python-numpysane (0.39-1) unstable; urgency=medium

  * New upstream release
    - Improved broadcasting corner cases in numpysane_pywrap

 -- Dima Kogan <dkogan@debian.org>  Wed, 28 Jun 2023 00:06:55 -0700

## python-numpysane 0.40

=== debian/changelog ===
python-numpysane (0.40-3) unstable; urgency=medium

  * Do not ship extract_README.py

 -- Dima Kogan <dkogan@debian.org>  Tue, 13 Feb 2024 22:14:38 -0800

python-numpysane (0.40-2) unstable; urgency=medium

  * More thorough "clean"; (Closes: #1047961)

 -- Dima Kogan <dkogan@debian.org>  Mon, 08 Jan 2024 21:27:07 -0800

python-numpysane (0.40-1) unstable; urgency=medium

  * New upstream release
    - Code generated with numpysane_pywrap builds with clang

 -- Dima Kogan <dkogan@debian.org>  Sat, 23 Dec 2023 15:51:09 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: python-numpysane
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13), dh-python,
-               python3-all, python3-setuptools, python3-numpy, libpython3-dev
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               python3-all,
+               python3-setuptools,
+               python3-numpy,
+               libpython3-dev
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.5.1
@@ -12,6 +16,7 @@
 
 Package: python3-numpysane
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends}, libpython3-dev
 Provides: ${python3:Provides}
 Description: more-reasonable core functionality for numpy

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,12 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+# extract_README.py shouldn't be distributed. This should be communicated in
+# setup.py (or whatever is supposed to take its place), but I cannot be bothered
+# to figure that out
 override_dh_auto_install:
 	dh_auto_install
+	rm debian/python3-numpysane/usr/lib/python3*/dist-packages/extract_README.py
 	dh_numpy3
 
 override_dh_auto_build:

## python-numpysane 0.41

=== debian/changelog ===
python-numpysane (0.41-5) unstable; urgency=medium

  * Added missing Build-Depends: pkgconf (Closes: #1071338 completely;
    0.41-1 wasn't a full fix)

 -- Dima Kogan <dkogan@debian.org>  Fri, 28 Jun 2024 11:06:49 -0700

python-numpysane (0.41-4) unstable; urgency=medium

  * Rebuild to pacify buildd

 -- Dima Kogan <dkogan@debian.org>  Fri, 21 Jun 2024 12:39:46 -0700

python-numpysane (0.41-3) unstable; urgency=medium

  * Rebuild to pacify buildd

 -- Dima Kogan <dkogan@debian.org>  Tue, 11 Jun 2024 09:29:29 -0700

python-numpysane (0.41-2) unstable; urgency=medium

  * Rebuild to pacify buildd

 -- Dima Kogan <dkogan@debian.org>  Mon, 27 May 2024 10:33:49 -0700

python-numpysane (0.41-1) unstable; urgency=medium

  * New upstream release
    Imports mrbuild 1.10 (Closes: #1071338)

 -- Dima Kogan <dkogan@debian.org>  Sun, 26 May 2024 17:07:27 -0700

## python-numpysane 0.42

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 
 CC ?= gcc
 CFLAGS += -g
-%.o:%.c
-	$(CC) -Wall -Wextra $(CFLAGS) $(CPPFLAGS) -c -o $@ $<
+test/testlib.o: test/testlib.c
+	$(CC) -Wall -Wextra $(CFLAGS) $(CPPFLAGS) -fPIC -c -o $@ $<
 
 test/testlib_pywrap_GENERATED.c: test/genpywrap.py numpysane_pywrap.py $(wildcard pywrap-templates/*.c)
 	./$< > $@

=== debian/changelog ===
python-numpysane (0.42-1) unstable; urgency=medium

  * New upstream release (Closes: #1086856)

 -- Dima Kogan <dkogan@debian.org>  Thu, 20 Mar 2025 19:39:18 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
                python3-all,
                python3-setuptools,
                python3-numpy,
-               libpython3-dev
+               libpython3-dev,
+# To provide pkg-config for numpy
+               pkgconf
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.5.1
